state_align_search_s Struct Reference

Phone loop search structure. More...

`#include <state_align_search.h>`

## Data Fields

ps_search_t | base
| Base search structure.
hmm_context_t * | hmmctx
| HMM context structure.
ps_alignment_t * | al
| Alignment structure being operated on.
hmm_t * | hmms
| Vector of HMMs corresponding to phone level.
int | n_phones
| Number of HMMs (phones).
int | frame
| Current frame being processed.
int32 | best_score
| Best score in current frame.
int | n_emit_state
| Number of emitting states (tokens per frame)
state_align_hist_t * | tokens
| Tokens (backpointers) for state alignment.
int | n_fr_alloc
| Number of frames of tokens allocated.

## Detailed Description

Phone loop search structure.

Definition at line 66 of file state_align_search.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/state_align_search.h